This is an archive of the discontinued LLVM Phabricator instance.

[libcxx] <experimental/simd> Removed original implementations and tests
ClosedPublic

Authored by Joy12138 on Feb 23 2023, 9:05 PM.

Diff Detail

Event Timeline

Joy12138 created this revision.Feb 23 2023, 9:05 PM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 23 2023, 9:05 PM
Herald added a subscriber: miyuki. · View Herald Transcript
Joy12138 requested review of this revision.Feb 23 2023, 9:05 PM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 23 2023, 9:05 PM
Herald added a reviewer: Restricted Project. · View Herald Transcript

You have to remove libcxx/include/experimental/simd from ignore_format.txt to fix the CI.

Joy12138 updated this revision to Diff 501000.Feb 27 2023, 7:11 PM

remove libcxx/include/experimental/simd from ignore_format.txt

You have to remove libcxx/include/experimental/simd from ignore_format.txt to fix the CI.

Then when should I put it back? Is it the next patch?

Joy12138 updated this revision to Diff 501013.Feb 27 2023, 9:12 PM

Remove experimental/simd from transitive includes

Joy12138 updated this revision to Diff 501031.Feb 27 2023, 10:31 PM

Remove experimental/simd from headers_declare_verbose_abort.sh.cpp

Joy12138 updated this revision to Diff 501036.Feb 27 2023, 11:04 PM

Remove experimental/simd from modules_include.sh.cpp

Joy12138 updated this revision to Diff 501048.Feb 28 2023, 12:21 AM

Remove experimental/simd from generate_header_tests.py

You have to remove libcxx/include/experimental/simd from ignore_format.txt to fix the CI.

Then when should I put it back? Is it the next patch?

Never. We want to enforce the formatting. BTW you can use ninja libcxx-generate-files to update the generated files.

libcxx/include/experimental/simd
653

You have to keep this include to make the CI happy. Then you don't have to change anything in generate_header_tests.py (or the generated tests).

Joy12138 updated this revision to Diff 501757.Mar 1 2023, 11:14 PM

Include <__assert>

Joy12138 updated this revision to Diff 501760.Mar 1 2023, 11:33 PM

Added experimental/simd back to ignore_format.txt

Joy12138 updated this revision to Diff 501777.Mar 2 2023, 12:36 AM

Remove experimental/simd from transitive includes

Joy12138 marked an inline comment as done.Mar 14 2023, 10:06 PM
Joy12138 updated this revision to Diff 507245.Mar 21 2023, 11:27 PM

Fix rebase error

Joy12138 updated this revision to Diff 528279.Jun 4 2023, 9:52 PM

Rebase upstream

Joy12138 updated this revision to Diff 528281.Jun 4 2023, 10:14 PM

Remove simd from ignore_format.txt

Joy12138 updated this revision to Diff 528290.Jun 4 2023, 10:58 PM

Fix transitive includes of cxx26

philnik accepted this revision.Sep 11 2023, 11:05 AM

We're transitioning to GitHub and I think we should have enough time to git this at least as far as it has been, so let's land this and continue reviews on GitHub.

This revision is now accepted and ready to land.Sep 11 2023, 11:05 AM
This revision was landed with ongoing or failed builds.Sep 11 2023, 8:42 PM
This revision was automatically updated to reflect the committed changes.